export const CommonUtils = {
  generateID: (): string => {
    const a = new Uint32Array(3);
    window.crypto.getRandomValues(a);
    return (
      performance.now().toString(36) +
      Array.from(a)
        .map((A) => A.toString(36))
        .join("")
    ).replace(/\./g, "");
  },
  /** This helper is necessary, because the meaning of dark/light changes, depending on which property it is being used with:
   *  - In `variant` the value dark/light refers to the background color (meaning: a "dark" variant will result in dark background color which requires light text color) -> this needs to be inverted
   *  - In `textColor` the value dark/light refers to the actual text color
   */
  invertDarkLight: (variant: "dark" | "light") => {
    if (variant === "dark") {
      return "light" as const;
    } else {
      return "dark" as const;
    }
  },
};
